MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029028Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-08-21 16:182018-06-29 11:53
Reporterjgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029028: Wrong result of Boolean Operations with plane and torus
DescriptionWrong result of Boolean Operations with plane and torus whereas GeomInt_IntSS intersection gives correct result.
Steps To Reproducerestore [locate_data_file bug27079_s3.draw] s3
restore [locate_data_file bug27079_s4.draw] s4

trim ts3 s3 pi-pi/30 pi -5 -2
mkface f1 ts3
mkface f2 s4
donly f1 f2
fit
bop f1 f2
bopsection res
#wrong

intersect i s3 s4
#correct
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0077091)
jgv (developer)
2018-06-28 13:59

Fixed by #29511.
(0077097)
msv (developer)
2018-06-28 15:28

Please create a test case.
(0077104)
jgv (developer)
2018-06-28 16:02

Test case for this bug is already present, it is named "bugs modalg_6 bug27079_4".

- Issue History
Date Modified Username Field Change
2017-08-21 16:18 jgv New Issue
2017-08-21 16:18 jgv Assigned To => msv
2017-08-21 16:19 jgv Relationship added child of 0027079
2018-06-28 13:59 jgv Note Added: 0077091
2018-06-28 13:59 jgv Assigned To msv => bugmaster
2018-06-28 13:59 jgv Status new => feedback
2018-06-28 15:28 msv Note Added: 0077097
2018-06-28 15:28 msv Assigned To bugmaster => msv
2018-06-28 15:28 msv Assigned To msv => jgv
2018-06-28 16:02 jgv Note Added: 0077104
2018-06-28 16:03 jgv Assigned To jgv => bugmaster
2018-06-29 11:53 bugmaster Status feedback => closed
2018-06-29 11:53 bugmaster Resolution open => no change required


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker